# Class MasterListDto

Namespace
  adas_core.Domain.Models.DTO

Assembly
  adas-core.Domain.dll

Represents a data transfer object for a master list, used to transfer collection data between application layers.

    public class MasterListDto

Inheritance
  object
  MasterListDto

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Description

    public string Description { get; set; }

#### Property Value

string

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### ListType

    public MasterListType ListType { get; set; }

#### Property Value

MasterListType

### Name

    public string Name { get; set; }

#### Property Value

string

### Options

    public int Options { get; set; }

#### Property Value

int